#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	int k;
	printf("set pointsize 2\n");
	printf("set terminal postscript eps enhanced 22\n");
	printf("set output \"19_29.eps\"\n");
	printf("set title \"Poisson Distribution\"\n");
	printf("set xlabel \"k\"\n");
	printf("set ylabel \"p(k)\"\n");
	printf("plot [-1:11] \"-\" title \"{/Symbol m} = 2.5\" with points\n");
	for (k = 0; k <= 10; k++)
		printf("%d\t%f\n", k, gsl_ran_poisson_pdf(k, 2.5));

	return 0;
}
