#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	int k;
	printf("set pointsize 2\n");
	printf("set terminal postscript eps enhanced 22\n");
	printf("set output \"19_31.eps\"\n");
	printf("set title \"Binomial Distribution\"\n");
	printf("set xlabel \"k\"\n");
	printf("set ylabel \"p(k)\"\n");
	printf("plot [-0.5:10.5][0:0.3] \"-\" title \"p = 0.5, n = 9\" with points\n");
	for (k = 0; k <= 10; k++)
		printf("%d\t%f\n", k, gsl_ran_binomial_pdf(k, 0.5, 9));

	return 0;
}
