#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	int k;
	printf("set pointsize 2\n");
	printf("set terminal postscript eps enhanced 22\n");
	printf("set output \"19_36.eps\"\n");
	printf("set title \"Hypergeometric Distribution\"\n");
	printf("set xlabel \"k\"\n");
	printf("set ylabel \"p(k)\"\n");
	printf("plot [-1:11][0:0.6] \"-\" title \"n1 = 5, n2 = 20, p = 0.7\" with points\n");
	for (k = 0; k <= 10; k++)
		printf("%d\t%f\n", k, gsl_ran_hypergeometric_pdf(k, 5, 20, 3));

	return 0;
}
