unset key
set terminal postscript eps
set output "24_5_1.eps"
set title  "TSP - 12 southwest cities"
set xlabel "generation"
set ylabel "distance"
plot [:][3300:6500] "siman_tsp.dat" using 1:18 with lines
set parametric
set output "24_5_2.eps"
set title  "TSP - initial-order"
set xlabel "longitude (- means west)"
set ylabel "latitude"
plot 'initial.dat' with linespoints
set output "24_5_3.eps"
set title  "TSP - final-order"
set xlabel "longitude (- means west)"
set ylabel "latitude"
plot 'final.dat' with linespoints
