#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	double x;
	printf("set terminal postscript eps\n");
	printf("set output \"19_11.eps\"\n");
	printf("set nokey\n");
	printf("set title \"Landau Distribution\"\n");
	printf("set xlabel \"x\"\n");
	printf("set ylabel \"p(x)\"\n");
	printf("plot [-5:10] \"-\" with lines\n");
	for (x = -5.0; x <= 10.0; x += 0.1)
		printf("%f\t%f\n", x, gsl_ran_landau_pdf(x));

	return 0;
}
