#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	int k;
	printf("set pointsize 2\n");
	printf("set terminal postscript eps enhanced 22\n");
	printf("set output \"19_35.eps\"\n");
	printf("set title \"Geometric Distribution\"\n");
	printf("set xlabel \"k\"\n");
	printf("set ylabel \"p(k)\"\n");
	printf("plot [-1:11][0:0.6] \"-\" title \"p = 0.5\" with points\n");
	for (k = 1; k <= 10; k++)
		printf("%d\t%f\n", k, gsl_ran_geometric_pdf(k, 0.5));

	return 0;
}
